> ## Documentation Index
> Fetch the complete documentation index at: https://docs.activeviam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get bonds for a specific issuer



## OpenAPI

````yaml /risk-and-pricing/atoti-risk-services/apis-endpoints/openapi/openapi.mintlify.json post /api/Bond/GetBondsForIssuer
openapi: 3.0.1
info:
  title: Derivitec Api 1.0
  version: '1.0'
servers:
  - description: Derivitec Server
    url: https://api.riskportal.activeviam.com
security:
  - oauth2: []
  - apikey: []
paths:
  /api/Bond/GetBondsForIssuer:
    post:
      tags:
        - Bond
      summary: Get bonds for a specific issuer
      operationId: GetBondsForIssuer
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/ApiGetBondsForIssuerRequest'
          application/json:
            schema:
              $ref: '#/components/schemas/ApiGetBondsForIssuerRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/ApiGetBondsForIssuerRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ApiGetBondsForIssuerRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiGetBondsForIssuerResponse'
          description: Success
        '400':
          description: BadRequest
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2: []
        - apikey: []
components:
  schemas:
    ApiGetBondsForIssuerRequest:
      example:
        issuer_id: issuer_id
        mkt_data_date: mkt_data_date
        currency: currency
        debt_type: debt_type
      properties:
        market_data_environment_name:
          nullable: true
          type: string
        provider_id:
          nullable: true
          type: string
        issuer_id:
          nullable: true
          type: string
        currency:
          nullable: true
          type: string
        debt_type:
          nullable: true
          type: string
        mkt_data_date:
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.ApiGetBondsForIssuerRequest,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    ApiGetBondsForIssuerResponse:
      example:
        issuer_id: issuer_id
        bonds:
          - years_to_mat: 0
            name: name
            id: id
            is_convertible: true
          - years_to_mat: 0
            name: name
            id: id
            is_convertible: true
        currency: currency
        debt_type: debt_type
      properties:
        is_success:
          type: boolean
        error_messages:
          items:
            type: string
          nullable: true
          type: array
        issuer_id:
          nullable: true
          type: string
        currency:
          nullable: true
          type: string
        debt_type:
          nullable: true
          type: string
        bonds:
          items:
            $ref: '#/components/schemas/BondDetails'
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.ApiGetBondsForIssuerResponse,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    BondDetails:
      example:
        years_to_mat: 0
        name: name
        id: id
        is_convertible: true
      properties:
        id:
          nullable: true
          type: string
        name:
          nullable: true
          type: string
        years_to_mat:
          format: int32
          type: integer
        is_convertible:
          type: boolean
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.MarketData.BondDetails, Derivitec.Web.Core
      required:
        - $type
      type: object
  securitySchemes:
    oauth2:
      description: >-
        OAuth2 access-token requested from AWS Cognito and provided as a Auth
        Bearer header
      flows:
        implicit:
          authorizationUrl: https://auth.riskportal.derivitec.com/oauth2/authorize
          scopes: {}
      type: oauth2
    apikey:
      description: API-Key requested via the site and provided as a header
      in: header
      name: x-api-key
      type: apiKey

````